package fr.itsonus.bousoleplussbackend.infrastructure.postgres.repositories;

import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresRefreshTokenDto;
import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresUserDto;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.repository.Repository;

import java.util.Optional;

public interface RefreshTokenRepository extends Repository<PostgresRefreshTokenDto, Long> {
    Optional<PostgresRefreshTokenDto> findByToken(String token);

    @Modifying
    void deleteByUser(PostgresUserDto user);

    PostgresRefreshTokenDto save(PostgresRefreshTokenDto refreshToken);

    void delete(PostgresRefreshTokenDto token);
}
