package fr.itsonus.bousoleplussbackend.usecase;

import fr.itsonus.bousoleplussbackend.domain.quiz.model.Question;
import fr.itsonus.bousoleplussbackend.domain.quiz.spi.QuestionCacheRepository;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@AllArgsConstructor
public class QuestionUseCase {

    private final QuestionCacheRepository questionCacheRepository;

    public List<Question> findDefaults(Long axeId) {
        return questionCacheRepository.findDefaultQuestions(axeId);
    }

    public List<Question> findAllByAxeId(Long axeId) {
        return questionCacheRepository.findAllByAxeId(axeId);
    }
}
